<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Stéphanie Roussel, Jean-Marie Treins
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************


Contribution benoit.ducange@ac-amiens.fr

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
//ouverture de la session
opensession("Prof",false);


print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Texte de la rubrique 1</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<?php include("../include/utiljs.php"); ?>
</head>

<body class="arialprof" >

<?php


$prof_id=$sess_mec_id;
/////////////////////////
// programme principal //
/////////////////////////
print "<p class='sous_titre'>Validation partielle des items sans demande préalable<br></p>";
print "<p class='attention centre'>1 - Choisissez les items (maximum : $etab_nb_max_demandes)";
print "&nbsp;puis la classe en bas de page.</p>";

$conn  = connecte($host, $user, $mdp, $db);

switch ($etab_niveau) {
    case "niv1": $condition=" brevet_no=1 ";break;
    case "niv2": $condition=" brevet_no=2 "; break;
    case "niv3": $condition=" brevet_no=3 "; break;
    case "niv12"  : $condition=" (brevet_no=1 || brevet_no=2) "; break;
    case "niv23"  : $condition=" (brevet_no=2 || brevet_no=3) "; break;
    default: $condition="";
}
if ($condition) {
    $condition1="  and ".$condition;
    $condition2 =" where ".$condition;
    }
else {
    $condition1="";
    $condition2="";
    }

//obtenir les rubriques du brevet $brevet_no
$resrub=query("select rubriques.*, count(*) as nbitems ".  //nb d'items/rubrique
              "from rubriques,items ".
              "where rubriques.rub_no=items.rub_no ".
              $condition1.
              "group by rubriques.rub_no ".
              "order by rubriques.rub_no;");

//obtenir les items du brevet $brevet_no
$resit =query("select * from items ".
              $condition2.
              "order by rub_no, s_rub_no;");

$reslib=query("select base from libelles,items ".
              "WHERE items.item_id=libelles.item_id ".
              $condition1.
              "order by rub_no, s_rub_no;");

//afficher la liste des items

echo '<form method="POST" name="formchoix" action="choix_qui.php" onsubmit="return compte_coches()">';

$limite=$etab_nb_max_demandes;
$idximg=0;  //numéros des champs IMG
$tagniv=0; //Pour mémoriser le niveau
$cpt=1;
 print "<table border = '0' width='100%'><tr><td class='niveau".$cpt."'></BR> ";
while ($rowrub=mysql_fetch_array($resrub))
{
    $nbitems=$rowrub["nbitems"];
    $num_rub=$rowrub["rub_no"];
    $nivrub=getnivo($num_rub);
    if (($tagniv!=0) and ($nivrub!=$tagniv)) {print"</td></tr></table></BR>";
                                             $cpt++;
                                              print"<table border = '0' width='100%'><tr><td class='niveau".$cpt."'></BR> ";
                                             }
    $tagniv=$nivrub;
    print "<p class='rubrique'>".$rowrub["libelle"];
    if ($MODULE!="Melia") print" (".getlibellenivo(getnivo($num_rub)).")</p>";
    //if ($MODULE=="GiCii") print" (niveau : ".$nivrub.")</p>";
    print "<table  border=0 width='98%'>\n";
    for ($it=0 ; $it<$nbitems ; $it++)
        {
         $rowit=mysql_fetch_array($resit);
         $item_id=$rowit["item_id"];

         //couleur de la ligne suivant sa parité
         $cl=($it%2==0) ? "paire" : "impaire";
         print "<tr class='$cl'>\n";

         //colonne 1 : l'état ou l'action possible sur l'item
         print "<td align='center' valign='middle' width='91' height='28'>\n";
         print "<input type='checkbox' name='CBItem[]' value=$item_id>\n";
         print "\n\t</td>\n";
         $idximg++;

         //colonne 2 : le texte de l'item
         $rowlib=mysql_fetch_array($reslib);
         print "\n\t<td><p class=item>\n";
         print "[".$item_id."] ".$rowlib["base"];
         print "\n\t</p></td></tr>\n";
         }
    print "</table></center>\n";
}
    print "</td></tr></table>";
print "<br><div align='center'><font size='-1' ><i>Classe concernée</i><br></font>";

//En mode prof, les classes sont limitées à celles qu'il a
if ($statut=="Prof") $where=", lien_profs_classes, profs  WHERE classes.classe_id=lien_profs_classes.classe_id ".
                     "AND lien_profs_classes.prof_id=profs.prof_id ".
                     "AND profs.prof_id=$sess_mec_id";
   else $where="";

echo '<select size="1" name="classe_id">';
$requete = "SELECT * FROM classes".$where." ORDER BY divcod ;";
$resultat = mysql_query( $requete );
while($enregistrement = mysql_fetch_row( $resultat ))
{
echo '<option value="' . $enregistrement[0]. '">' . $enregistrement[1]. '</option>';
}
echo '</select>';
echo ' <input type="submit" class="coul" value="Valider" name="B1"></div>';

print "</form>";
?>


<script language="JavaScript">
<!-- pour la coloration syntaxique
function compte_coches() {
    //$limite n'est connu par PHP qu'en fin de boucle d'où ce script à la fin !
    //compte le nombre d'items cochés
    var s=0;
    var nbcases=document.formchoix.elements.length;

    //limite est un "paramètre" passé par PHP mais qui se trouve être
    //une constante lorsqu'on regarde le source de la page
    var limite=<?php print $limite; ?>;
    for(var i=0; i<nbcases ; i++)
       if (document.formchoix.elements[i].checked) s++;
    if (s==0) {
        alert('Aucun élément n\'a été coché !');
        return false;
    }
    else {
        if (s>limite) {      //trop de coches
            if (limite<=0) { //n'a pas le droit de cocher
               alert('Tu ne peux plus cocher d\'items pour l\'instant !');
               document.formchoix.reset();
            }
            else {           //le nombre de coches dépasse le maximum
               alert('Tu as coché '+s+' items alors que ta limite actuelle est '+limite);
            }
            return false;
        }
        else return true;    //il a coché sans dépasser le max
    }
    }
! -->
</script>
</body>
</html>